%global modulename nopt

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-nopt
Version:        4.0.1
Release:        1%{?dist}
Summary:        Option parsing for Node, supporting types, shorthands, etc. Used by npm.

License:        ISC
URL:            https://github.com/npm/nopt#readme
Source0:        https://registry.npmjs.org/nopt/-/nopt-4.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(abbrev) >= 1.0.0 with npmlib(abbrev) < 2.0.0))
BuildRequires:  ((npmlib(osenv) >= 0.1.4 with npmlib(osenv) < 0.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Option parsing for Node, supporting types, shorthands, etc. Used by npm.

%package 4.0.1
Summary:        Option parsing for Node, supporting types, shorthands, etc. Used by npm.


%description 4.0.1
Option parsing for Node, supporting types, shorthands, etc. Used by npm.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/nopt.js %{buildroot}/%{_bindir}/nopt


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{_bindir}/nopt
%{nodejs_dir}/%{modulename}

%files 4.0.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 4.0.1-1
- Package automatically generated by npm2srpm
